clang 8.0.0

Public Member Functions | Friends | List of all members
clang::CallExitEnd Class Reference

Represents a point when we finish the call exit sequence (for inlined call). More...

`#include "clang/Analysis/ProgramPoint.h"`

Inheritance diagram for clang::CallExitEnd:
[legend]
Collaboration diagram for clang::CallExitEnd:
[legend]

## Public Member Functions
| CallExitEnd (const StackFrameContext *CalleeCtx, const LocationContext *CallerCtx)
const StackFrameContext * | getCalleeContext () const
Public Member Functions inherited from clang::ProgramPoint
ProgramPoint | withTag (const ProgramPointTag *tag) const
| Create a new ProgramPoint object that is the same as the original except for using the specified tag value. More...
template<typename T >
T | castAs () const
| Convert to the specified ProgramPoint type, asserting that this ProgramPoint is of the desired type. More...
template<typename T >
Optional< T > | getAs () const
| Convert to the specified ProgramPoint type, returning None if this ProgramPoint is not of the desired type. More...
Kind | getKind () const
bool | isPurgeKind ()
| Is this a program point corresponding to purge/removal of dead symbols and bindings. More...
const ProgramPointTag * | getTag () const
const LocationContext * | getLocationContext () const
const StackFrameContext * | getStackFrame () const
unsigned | getHashValue () const
bool | operator== (const ProgramPoint &RHS) const
bool | operator!= (const ProgramPoint &RHS) const
void | Profile (llvm::FoldingSetNodeID &ID) const
void | print (StringRef CR, llvm::raw_ostream &Out) const
LLVM_DUMP_METHOD void | dump () const

## Friends
class | ProgramPoint

## Additional Inherited Members
Public Types inherited from clang::ProgramPoint
enum | Kind { BlockEdgeKind, BlockEntranceKind, BlockExitKind, PreStmtKind, PreStmtPurgeDeadSymbolsKind, PostStmtPurgeDeadSymbolsKind, PostStmtKind, PreLoadKind, PostLoadKind, PreStoreKind, PostStoreKind, PostConditionKind, PostLValueKind, PostAllocatorCallKind, MinPostStmtKind = PostStmtKind, MaxPostStmtKind = PostAllocatorCallKind, PostInitializerKind, CallEnterKind, CallExitBeginKind, CallExitEndKind, FunctionExitKind, PreImplicitCallKind, PostImplicitCallKind, MinImplicitCallKind = PreImplicitCallKind, MaxImplicitCallKind = PostImplicitCallKind, LoopExitKind, EpsilonKind }
Static Public Member Functions inherited from clang::ProgramPoint
static ProgramPoint | getProgramPoint (const Stmt *S, ProgramPoint::Kind K, const LocationContext *LC, const ProgramPointTag *tag)
Protected Member Functions inherited from clang::ProgramPoint
| ProgramPoint ()=default
| ProgramPoint (const void *P, Kind k, const LocationContext *l, const ProgramPointTag *tag=nullptr)
| ProgramPoint (const void *P1, const void *P2, Kind k, const LocationContext *l, const ProgramPointTag *tag=nullptr)
const void * | getData1 () const
const void * | getData2 () const
void | setData2 (const void *d)

## Detailed Description

Represents a point when we finish the call exit sequence (for inlined call).

See also
  CallExitBegin

Definition at line 690 of file ProgramPoint.h.

## Constructor & Destructor Documentation

## ◆ CallExitEnd()

clang::CallExitEnd::CallExitEnd | ( | const StackFrameContext * | CalleeCtx,
|  | const LocationContext * | CallerCtx
| ) |  |
| inline

Definition at line 693 of file ProgramPoint.h.

## Member Function Documentation

## ◆ getCalleeContext()

const StackFrameContext* clang::CallExitEnd::getCalleeContext | ( |  | ) | const
| inline

Definition at line 697 of file ProgramPoint.h.

Referenced by clang::ento::PathDiagnosticCallPiece::construct(), and clang::ento::StackHintGeneratorForSymbol::getMessage().

## Friends And Related Function Documentation

## ◆ ProgramPoint

friend class ProgramPoint
| friend

Definition at line 702 of file ProgramPoint.h.

The documentation for this class was generated from the following file:

- include/clang/Analysis/ProgramPoint.h